Bilanz/GuV Struktur
Die Endpunkte der Version 1.2 sind momentan in der Entwicklung und können noch Änderungen erfahren.
Bilanzstruktur abrufen
Version 1.0
get
Autorisierungen
OAuth2passwordErforderlichToken URL:
Use username and password.
Abfrageparameter
apiKeystringOptional
Antworten
200
OK
BalanceSheetIdinteger · int32Optional
BalanceSheetCodestring · nullableOptional
AccountChartIdinteger · int32Optional
AccountChartIdNumstring · nullableOptional
AccountChartCodestring · nullableOptional
NodeIdinteger · int32Optional
AdministrationTypeIdinteger · int32 · nullableOptional
AdministrationTypestring · nullableOptional
400
Bad Request
401
Unauthorized
get/openwowi/v1.0/AccountancyMasterData/BalanceSheets
GET /openwowi/v1.0/AccountancyMasterData/BalanceSheets HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
{
"BalanceSheetId": 1,
"BalanceSheetCode": "text",
"AccountChartId": 1,
"AccountChartIdNum": "text",
"AccountChartCode": "text",
"NodeId": 1,
"AdministrationTypeId": 1,
"AdministrationType": "text",
"BalanceSheetPositions": [
{
"Id": 1,
"Number": "text",
"LabelLine1": "text",
"LabelLine2": "text",
"LabelLine3": "text"
}
]
}
]Version 1.2
get
Autorisierungen
OAuth2passwordErforderlichToken URL:
Use username and password.
Abfrageparameter
apiKeystringOptional
limitinteger · int32OptionalExample:
20offsetinteger · int32Optional
companyCodeIdinteger · int32Optional
accountChartIdinteger · int32Optional
includeBalanceSheetPositionbooleanOptional
showNullValuesbooleanOptionalDefault:
falseAntworten
200
OK
Idinteger · int32Optional
Codestring · nullableOptional
NodeIdinteger · int32Optional
400
Bad Request
401
Unauthorized
get/openwowi/v1.2/AccountancyMasterData/BalanceSheets
GET /openwowi/v1.2/AccountancyMasterData/BalanceSheets HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
{
"Id": 1,
"Code": "text",
"NodeId": 1,
"AccountChart": {
"Id": 1,
"IdNum": "text",
"Code": "text"
},
"AdministrationType": {
"Id": 1,
"Name": "text"
},
"BalanceSheetPositions": [
{
"Id": 1,
"ParentId": 1,
"Number": "text",
"FormattedNumber": "text",
"Line1": "text",
"Line2": "text",
"Line3": "text"
}
]
}
]Zuletzt aktualisiert
